Storage
Mount a share
Mount a network share. Provide either an `smb://server/share` URL or discrete `server` and `share` fields. Requires the **admin** role.
udon_session<token>
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/storage/mount" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "share": {}}Create an empty file POST
Create an empty file named by the `name` query parameter inside the directory given by `root` and `path`. Requires the **admin** role.
Move a file or folder POST
Move the entry at `root` and `path` into the directory given by `destRoot` and `destPath` (which may be on another volume), keeping its name. Requires the **admin** role.